import { GlobalPositionStrategy } from '@angular/cdk/overlay';
export type PopupPosition = 'center' | 'bottom_left' | 'bottom_right';
export interface PopupPositionOffset {
    readonly x?: string;
    readonly y?: string;
}
export declare class PopupGlobalPositionStrategy extends GlobalPositionStrategy {
    private _position;
    private _offset;
    constructor(position?: PopupPosition, offset?: PopupPositionOffset);
    setPopupOffset(offset?: PopupPositionOffset): void;
    setPopupPosition(position: PopupPosition, offset?: PopupPositionOffset): void;
    private _resetPositions;
}
